List cases
curl --request GET \
--url https://api.managem.co.uk/user/cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/user/cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/user/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"workflowId": "<string>",
"purchaseId": "<string>",
"reason": "SNAD",
"status": "OPEN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"outcomes": [
{
"id": "<string>",
"type": "RETURN",
"party": "SELLER",
"status": "PENDING",
"caseId": "<string>",
"amount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"comment": "<string>",
"deliveryAddress": "<unknown>"
}
],
"attachments": [
{
"url": "<string>",
"party": "SELLER",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"comment": "<string>"
}
]Cases
List cases
List support/dispute cases for the authenticated buyer.
Use this endpoint for account case inboxes and resolution tracking views.
Query behavior:
- Supports pagination and sorting by creation/update timestamps.
Response behavior:
- Returns only cases belonging to purchases made by the authenticated user.
- Includes outcomes and attachments.
- Redacts seller delivery address data on seller outcomes until those outcomes are accepted.
GET
/
user
/
cases
List cases
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, defaults to 1
Required range:
x >= 1Results per page, defaults to 20
Required range:
1 <= x <= 50Field to sort by
Available options:
createdAt, updatedAt Sort direction
Available options:
asc, desc Response
200 - application/json
User cases
Available options:
SNAD, DAMAGED, WRONG_ITEM, NOT_RECEIVED, OTHER, CHARGEBACK Available options:
OPEN, REMEDIATION, SETTLED, CLOSED, ESCALATED Show child attributes
Show child attributes
Show child attributes
Show child attributes